function tau = taufunc(t, q, qd, Pgain, Dgain, qt)
% interpola el angulo demandado para el tiempo actual t
if t > qt(end,1), % asegurar que el tiempo se mantenga en el rango
t = qt(end,1);
end
q_dmd = interp1(qt(:,1), qt(:,2:3), t)';
% calcular el error y el torque de la articulacin
e = q_dmd - q;
tau = diag(Pgain)*e + diag(Dgain)*qd;